import { w as withInstall } from "../badge/index2.js";
import { defineComponent, openBlock, createElementBlock, normalizeClass, renderSlot } from "vue";
var index = /* @__PURE__ */ (() => ":root{--block-default-color: var(--global-checked-color);--block-border-radius: var(--global-border-radius)}.layui-quote{padding:15px;line-height:1.6;margin-bottom:10px;border-left:5px solid var(--block-default-color);border-radius:var(--block-border-radius);background-color:var(--global-neutral-color-1)}.layui-quote-nm{border-left:5px solid #eee}\n")();
const __default__ = {
  name: "LayQuote"
};
const _sfc_main = defineComponent({
  ...__default__,
  props: {
    type: null
  },
  setup(__props) {
    const props = __props;
    return (_ctx, _cache) => {
      return openBlock(), createElementBlock("div", {
        class: normalizeClass(["layui-quote", [__props.type ? `layui-quote-${props.type}` : ""]])
      }, [
        renderSlot(_ctx.$slots, "default")
      ], 2);
    };
  }
});
const component = withInstall(_sfc_main);
export { component as default };
